Class Table Of Contents

- All Classes
- All Files
- API
  - comb
    - logging
      - PropertyConfigurator
      - Level
      - BasicConfigurator
      - Logger
      - appenders
        - RollingFileAppender
        - ConsoleAppender
        - Appender
        - FileAppender
        - JSONAppender
    - PromiseList
    - Promise
    - regexp
    - array
    - string
    - collections
      - Pool
      - Iterable
      - HashTable
      - MaxHeap
      - Heap
      - Stack
      - AVLTree
      - AnderssonTree
      - Collection
      - RedBlackTree
      - Tree
      - Queue
      - BinaryTree
      - PriorityQueue
      - MinHeap
    - plugins
      - Middleware
      - Broadcaster
    - number
    - characters
    - date
- comb.collections.Iterable
- Methods
  - every
  - filter
  - forEach
  - map
  - reduce
  - reduceRight
  - some

# Class comb.collections.Iterable

Base class for all collections
Defined in: Iterable.js.

Class Detail
comb.collections.Iterable()
Method Detail
every()
Determine if every item in a collection meets the criteria

    throw new Error("Not Implemented");

filter()
Filter items from a collection

    throw new Error("Not Implemented");

forEach()
Loop through the items in a collection

    throw new Error("Not Implemented");

map()
Map every item in a collection

    throw new Error("Not Implemented");

reduce()
Reduce a collection

    throw new Error("Not Implemented");

reduceRight()
Reduce a collection starting from the right most position

    throw new Error("Not Implemented");

some()
Determing if some items in a colleciton meet the criteria

    throw new Error("Not Implemented");

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Jan 31 2012 16:14:11 GMT-0600 (CST)